Distributor - Edit Item
curl --request PUT \
--url https://api.skulabs.com/distributor/edit_item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": {
"_id": "507f1f77bcf86cd799439011",
"distributor_id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"cost": 123,
"quantity": 123,
"minimum_quantity": 123,
"lot_quantity": 123,
"part_number": "<string>",
"reorder_point": 123,
"reorder_rule": "<string>",
"notes": "<string>"
}
}
'import requests
url = "https://api.skulabs.com/distributor/edit_item"
payload = { "item": {
"_id": "507f1f77bcf86cd799439011",
"distributor_id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"cost": 123,
"quantity": 123,
"minimum_quantity": 123,
"lot_quantity": 123,
"part_number": "<string>",
"reorder_point": 123,
"reorder_rule": "<string>",
"notes": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
item: {
_id: '507f1f77bcf86cd799439011',
distributor_id: '507f1f77bcf86cd799439011',
item_id: '507f1f77bcf86cd799439011',
cost: 123,
quantity: 123,
minimum_quantity: 123,
lot_quantity: 123,
part_number: '<string>',
reorder_point: 123,
reorder_rule: '<string>',
notes: '<string>'
}
})
};
fetch('https://api.skulabs.com/distributor/edit_item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Distributor
Distributor - Edit Item
Update an item’s details in a distributor’s catalog.
PUT
/
distributor
/
edit_item
Distributor - Edit Item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Updated supplier item data
Show child attributes
Show child attributes
Response
Supplier item updated successfully
Whether the operation succeeded
⌘I